Skip to main content
GET
/
table
/
columns
/
{tableId}
List columns in a table
curl --request GET \
  --url https://app.myhero.so/table/columns/{tableId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "projectId": "<string>",
      "tableId": "<string>",
      "workspaceId": "<string>",
      "isIdentifier": false,
      "name": "<string>",
      "slug": "<string>",
      "data": {
        "type": "identifier",
        "selectItems": [
          {
            "id": "<string>",
            "label": "<string>",
            "color": "<string>"
          }
        ],
        "number": {
          "format": "<string>",
          "decimalPlaces": 123
        },
        "oneMany": {
          "tableId": "<string>"
        }
      },
      "createdAt": 123,
      "updatedAt": 123,
      "originId": "<string>",
      "description": "<string>",
      "isDeleted": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Returns all column documents for the given table, including their types and type-specific options.

Authorizations

Authorization
string
header
required

HERO personal access token

Path Parameters

tableId
string
required
Minimum string length: 1

Response

200 response

data
object[]
required